import Conversation from './Conversation';
import IClientOptions from './interfaces/IClientOptions';
import { IAccountStatusResponse } from './interfaces/IResponses';
/**
 * Waboxapp Client class
 */
export default class Client {
    private options;
    private readonly waboxappAPI;
    /**
     * @param options - Waboxapp Client options.
     */
    constructor(options: IClientOptions);
    /**
     * Get conversation instance with specific WhatsApp phone number.
     *
     * @param toPhoneNumber - The destination WhatsApp phone number of your conversation.
     * @returns Conversation instance with specific WhatsApp phone number.
     */
    getConversation(toPhoneNumber: string): Conversation;
    /**
     * Check account (phone number) status.
     *
     * @returns Promise of IAccountStatusResponse object.
     */
    checkAccountStatus(): Promise<IAccountStatusResponse>;
}
